Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Class PageSequenceStructElem

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.StructureHierarchyMember
                  org.apache.fop.pdf.PDFStructElem
                      org.apache.fop.render.pdf.PageSequenceStructElem

All Implemented Interfaces:
  StructureTreeElement, PDFWritable

    public class PageSequenceStructElem

extends PDFStructElem

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.pdf.PDFStructElem
`PDFStructElem.Placeholder`

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFStructElem
`kids, parentElement`

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Method Summary
`protected boolean` | `attachKids()` Attaches all valid kids to the kids array.
`PDFObjectNumber` | `getObjectNumber()` Returns the object number of this indirect object.

Methods inherited from class org.apache.fop.pdf.PDFStructElem
`addKid, addKidInSpecificOrder, getKids, getLanguage, getParentStructElem, getStructureType, output, setLanguage, setMCIDKid, setPage, setParent, setTableAttributeColSpan, setTableAttributeRowSpan, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`containsKey, get, getChildren, getChildren, keySet, put, put, remove`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### attachKids

    protected boolean attachKids()

  Description copied from class: `PDFStructElem`
  Attaches all valid kids to the kids array.

  Overrides:
    `attachKids` in class `PDFStructElem`
  Returns:
    true iff 1+ kids were added to the kids array

### getObjectNumber

    public PDFObjectNumber getObjectNumber()

  Returns the object number of this indirect object. Note that a compressed object must have a generation number of 0.

  Returns:
    the object number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.